org.apache.myfaces.trinidad.change

## Enum ComponentChangeFilter.Result

- java.lang.Object
- - java.lang.Enum<ComponentChangeFilter.Result>
  - - org.apache.myfaces.trinidad.change.ComponentChangeFilter.Result

- All Implemented Interfaces:
    Serializable, Comparable<ComponentChangeFilter.Result>
  Enclosing class:
    ComponentChangeFilter

      public static enum ComponentChangeFilter.Result
      extends Enum<ComponentChangeFilter.Result>

  Enum for filter result

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ACCEPT`
    `REJECT`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ComponentChangeFilter.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ComponentChangeFilter.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ACCEPT

          public static final ComponentChangeFilter.Result ACCEPT

    - #### REJECT

          public static final ComponentChangeFilter.Result REJECT

  - ### Method Detail

    - #### values

          public static ComponentChangeFilter.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ComponentChangeFilter.Result c : ComponentChangeFilter.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ComponentChangeFilter.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001-2017 The Apache Software Foundation. All Rights Reserved.